obj-m := lpcie.o
lpcie-objs := lpcie_init.o lpcie_files.o lpcie_ioctls.o fast_crc.o lpcie_eeprom.o lpcie_streams.o

KERNELDIR ?=  /lib/modules/$(shell uname -r)/build  

all:
	$(MAKE) -C $(KERNELDIR) M=$(PWD) modules
	
install-drv: 
	cp lpcie.rules /etc/udev/rules.d
	$(MAKE) -C $(KERNELDIR) M=$(PWD) modules_install
	depmod
	modprobe lpcie
	
install-src:
	mkdir -p $(DESTDIR)/usr/src/@MODULE_NAME@-@PACKAGE_VERSION@/
	cp -f *.c $(DESTDIR)/usr/src/@MODULE_NAME@-@PACKAGE_VERSION@/
	cp -f *.h $(DESTDIR)/usr/src/@MODULE_NAME@-@PACKAGE_VERSION@/
	cp -f *.sh $(DESTDIR)/usr/src/@MODULE_NAME@-@PACKAGE_VERSION@/ 
	cp -f Makefile $(DESTDIR)/usr/src/@MODULE_NAME@-@PACKAGE_VERSION@/
	cp -f dkms.conf $(DESTDIR)/usr/src/@MODULE_NAME@-@PACKAGE_VERSION@/
	cp -f *.rules $(DESTDIR)/usr/src/@MODULE_NAME@-@PACKAGE_VERSION@/
	
install : install-src
	dkms add -m @MODULE_NAME@ -v @PACKAGE_VERSION@
	dkms build -m @MODULE_NAME@ -v @PACKAGE_VERSION@
	dkms install -m @MODULE_NAME@ -v @PACKAGE_VERSION@

clean:
	LPCIE_DIR=$(PWD) $(MAKE) -C $(KERNELDIR) M=$(PWD) clean
